Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 401 - cardmgr error caused by bad GATEWAY address
Summary: cardmgr error caused by bad GATEWAY address
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-12 22:35 UTC by rbucker
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-15 21:46:00 UTC


Attachments (Terms of Use)

Description rbucker 1998-12-12 22:35:55 UTC
/etc/network had a line:

GATEWAY=0.0.0.0

During the install, I had selected 'no gateway'  When I
finally rebooted, there was a cardmgr error message in
/var/log/messages.  cardmgr[220]... (sorry, I do not have a
record)

when I debuged /etc/sysconfig/network-scripts/ifup, I
determined that there was a 'route add default gw $GATEWAY
$DEVICE' statement.  When I tried the statement manually,
with '0.0.0.0' I received the same error message.

CONCLUSION:
either remove GATEWAY from the network file, or fix 'route'
to support 0.0.0.0

Comment 1 Matt Wilson 1999-01-12 03:50:59 UTC
Was this verified?

Comment 2 Mike Wangsmo 1999-01-12 17:00:59 UTC
No, and I don't remember why I assigned it to you.  I've reassigned
the bug to Dave and he can verify it.

Comment 3 Matt Wilson 1999-03-13 22:10:59 UTC
What is the status of this bug?

Comment 4 David Lawrence 1999-06-29 18:38:59 UTC
Thsi has been verified with 5.2. A line created in
/etc/sysconfig/network by the install

GATEWAY=0.0.0.0

causes the following error in .var/log/messages

June 29 13:36:39 test221 cardmgr[220]: + SIOCADDRT: Invalid argument

Comment 5 Bill Nottingham 1999-07-15 21:46:59 UTC
this was fixed in the 6.0 installer


Note You need to log in before you can comment on or make changes to this bug.